Project

General

Profile

Issue #2271

Replicant - Issue #1861: Recommend to use an FSDG compliant distribution to build Replicant

Fix proguard in Trisquel 9

Added by Denis 'GNUtoo' Carikli about 2 months ago. Updated 30 days ago.

Status:
New
Priority:
Normal
Assignee:
-
Category:
Trisquel 9
Target version:
-
Start date:
08/24/2021
Due date:
% Done:

0%

Estimated time:
Upstream patch status:
Patches review started
Grant:
Type of work:
Build system integration
#1

Updated by Denis 'GNUtoo' Carikli about 2 months ago

I've bugreported about it in Trisquel but while I know how it can be fixed, I didn't start making a patch yet.

Here's the bugreport: https://trisquel.info/en/issues/28177

In a nutshell we use Java8 to compile Replicant 6.0 in Trisquel 9, but proguard doesn't work with java8, so a quick workaround could be to hardcode the java path in the proguard script wrapper to make it use java 11.

As I managed to build Replicant 6.0 under Trisquel 9 with that modifications (and a lot of other modifications as well), it is probably ok, though I didn't try the images I built on real devices yet.

#2

Updated by Kurtis Hanna about 2 months ago

  • Parent task set to #1861
#3

Updated by Denis 'GNUtoo' Carikli 30 days ago

Due to some issues with the registration in Trisquel's gitlab this patch serie is reviewed on the Trisquel mailing list instead of gitlab: https://listas.trisquel.info/pipermail/trisquel-devel/2021-September/001201.html , and now I've even sent a v2: https://listas.trisquel.info/pipermail/trisquel-devel/2021-September/001214.html

Denis.

edit1: Add v2

#4

Updated by Denis 'GNUtoo' Carikli 30 days ago

  • Upstream patch status changed from Work on the patch started to Patches review started
#5

Updated by Denis 'GNUtoo' Carikli 30 days ago

  • Category set to Trisquel 9

Also available in: Atom PDF